@import url("https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap");
@import url('https://fonts.googleapis.com/css2?family=IBM+Plex+Serif:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;1,100;1,200;1,300;1,400;1,500;1,600;1,700&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
    box-sizing: border-box;
    font-family: "Inter", "Roboto", "Helvetica Neue", Arial, sans-serif;

    @media (max-width: 768px) {
        flex-direction: column !important;
    }

    a:hover {
        filter: brightness(0.8);
        transition: 0.15s;
    }
}

body {
    display: flex;
    flex-direction: column;
    margin: 0;
    min-height: 100vh;
    width: 100%;
    overflow-x: hidden;
    padding-top: env(safe-area-inset-top);
    padding-bottom: env(safe-area-inset-bottom);

    header {
        display: flex;
        flex-direction: column;
        align-items: center;
        /* background: #383838; */
        /* background: linear-gradient(310deg, rgba(56, 56, 56, 1) 0%, rgba(39, 43, 41, 1) 30%, rgba(0, 0, 0, 1) 100%); */
        color: white;
        width: 100vw;
        background-color: transparent;
        z-index: 4;

        #container-header {
            height: 9.5vh;
            width: 100%;
            max-width: 1200px;
            display: flex;
            align-items: center;
            justify-content: space-between;
            padding: 0 20px;
            z-index: 2;

            @media (max-width: 768px) {
                height: 12vh;
                justify-content: space-evenly;
            }

            #logo {
                display: flex;
                align-items: center;
                height: 80%;
                gap: 15px;
                flex-direction: row !important;

                @media (max-width: 768px) {
                    height: 50%;
                    padding: 0;
                    align-items: flex-start;
                }

                img {
                    height: 70%;
                    cursor: pointer;
                }

                h1 {
                    font-size: xx-large;
                    margin: 0;

                    a {
                        text-decoration: none;
                        color: white;
                    }
                }
            }

            h1 {
                font-size: xx-large;
                margin: 0;

                a {
                    text-decoration: none;
                    color: white;
                }
            }

            nav {
                display: flex;
                width: 100%;
                justify-content: flex-end;

                @media (max-width: 768px) {
                    display: none;
                }

                ul {
                    list-style: none;
                    display: flex;
                    flex-direction: row !important;
                    padding: 0;
                    margin: 0;
                    gap: 15px;

                    @media (max-width: 768px) {
                        justify-content: space-around;
                    }


                    li {
                        a {
                            text-decoration: none;
                            color: white;
                            font-weight: 600;
                        }
                    }
                }
            }
        }
    }

    main {
        min-height: 90%;
        width: 100vw;
        display: flex;
        flex-direction: column;
        align-items: center;
        max-width: 1200px;
        margin: auto;
        flex: 1;

        section {
            min-height: 90.5vh;
            padding: 20px;

            h2 {
                font-size: xx-large;
            }

            &#ia-thumb {
                display: flex;
                flex-direction: column;
                align-content: center;
                align-items: center;
                justify-content: center;

                background: linear-gradient(-45deg,
                        #383838,
                        #4a4a4a,
                        #272b29,
                        #1a1a1a,
                        #000);

                background-size: 400% 400%;
                color: white;
                width: 100vw;
                gap: 20px;
                padding-bottom: 9vh;
                top: 0;
                position: absolute;
                padding-top: 9.5vh;
                height: 100vh;
                text-align: center;
                transition: all 0.6s ease;
                z-index: 1;

                @media (max-width: 768px) {
                    animation: gradient 5s ease infinite;
                }

                h2 {
                    font-size: 70px;
                    margin: 0;
                    text-shadow: 0 0 5px rgba(255, 255, 255, 0.5), 0 0 1px rgba(255, 255, 255, 0.4), 0 0 8px rgba(255, 255, 255, 0.3);
                    animation: piscar 5s infinite;
                }

                button {
                    border: none;
                    border-radius: 999em;
                    box-shadow: 0px 1px 5px rgb(0 0 0 / 55%);
                    cursor: pointer;
                    height: 35px;
                    font-size: larger;
                    font-weight: 700;
                    width: 316px;

                    background: #fff;
                    color: #000;

                    box-shadow:
                        0 0 5px rgba(255, 255, 255, 0.5),
                        0 0 10px rgba(255, 255, 255, 0.3);

                    transition: all 0.3s ease;
                    display: flex;
                    justify-content: center;
                    align-items: center;

                    &:hover {
                        filter: brightness(0.8);
                    }
                }
            }

            &#ia {
                display: flex;
                flex-direction: column;
                height: 100vh;
                width: 100vw;
                position: absolute;
                transition: all 0.6s ease;
                background: linear-gradient(-45deg,
                        #383838,
                        #4a4a4a,
                        #272b29,
                        #1a1a1a,
                        #000);

                background-size: 400% 400%;
                color: white;
                top: 0;
                padding: 9.5vh 20px 20px;

                @media (max-width: 768px) {
                    padding: 9.5vh 0 20px;
                }

                h2 {
                    margin: 0 auto;
                    text-shadow: 0 0 5px rgba(255, 255, 255, 0.5), 0 0 1px rgba(255, 255, 255, 0.4), 0 0 8px rgba(255, 255, 255, 0.3);
                }

                #text {
                    display: flex;
                    height: 90%;
                    flex-direction: column;
                    align-items: center;
                    overflow-y: scroll;
                    width: 100%;
                    max-width: 1200px;
                    margin: auto;

                    #arrow {
                        position: sticky;
                        bottom: 10px;
                        width: 100%;
                        max-width: 1160px;
                        display: none;
                        align-items: center;
                        justify-content: center;

                        button {
                            background-color: #383838;
                            border-radius: 999em;
                            height: 35px;
                            width: 35px;
                            padding: 0;
                            margin: 0;
                            border: none;
                            cursor: pointer;

                            &:hover {
                                filter: brightness(0.8);
                            }

                            &:active {
                                background-color: white;
                                transition: .1s;

                                img {
                                    filter: invert(0);
                                }
                            }

                            img {
                                width: 80%;
                                filter: invert(1);
                                transform: rotate(180deg);
                            }
                        }
                    }

                    &::-webkit-scrollbar {
                        width: 5px;
                    }

                    &::-webkit-scrollbar-track {
                        background: transparent;
                    }

                    &::-webkit-scrollbar-thumb {
                        background: #d3d3d37a;
                        filter: opacity(0.5);
                        border-radius: 10px;
                    }

                    &::-webkit-scrollbar-thumb:hover {
                        background: #969696;
                    }

                    @media (max-width: 768px) {
                        justify-content: space-between;
                        align-items: center;
                    }

                    h2 {
                        margin: 0;

                    }

                    div {
                        display: flex;
                        flex: 1;
                        width: 100%;



                        ul {
                            margin: 0;
                            list-style: none;
                            width: 100%;
                            gap: 10px;
                            display: flex;
                            padding: 15px 20px 0;
                            flex-direction: column;

                            @media (max-width: 768px) {
                                padding: 15px 0 0;
                            }

                            li {
                                display: flex;
                                width: fit-content;
                                padding: 12px 16px;
                                max-width: 70%;

                                &.send {
                                    Justify-content: flex-end;
                                    background-color: #666666;
                                    border-radius: 24px;
                                    margin: 0 0 0 auto;
                                    color: white;

                                }

                                &.received {
                                    Justify-content: flex-start;
                                    animation: fadeIn 0.3s ease-in;

                                    @media (max-width: 768px) {
                                        max-width: 100%;
                                    }

                                    #loading {
                                        filter: invert(1);
                                        height: 20px;
                                        animation: girar 2s linear infinite;
                                    }
                                }

                                p {
                                    margin: 0;
                                    width: 100%;
                                    word-break: break-word;
                                    overflow-wrap: break-word;
                                    white-space: pre-wrap;
                                }
                            }
                        }
                    }
                }

                #input-container {
                    margin: 0 auto;
                    width: 100%;
                    max-width: 1200px;
                    padding: 0 20px;

                    #input {
                        display: flex;
                        align-content: center;
                        flex-wrap: wrap;
                        flex-direction: row !important;
                        min-height: 50px;
                        height: auto;
                        position: relative;
                        width: 100%;
                        max-width: 1200px;
                        border-radius: 999em;
                        box-shadow: 0px 1px 5px rgb(0 0 0 / 55%);
                        padding: 0 .5%;
                        background-color: #272b29;
                        overflow: hidden;

                        &:disabled {
                            background-color: #3b3b3b;
                            opacity: 0.6;
                        }

                        textarea {
                            flex: 1;
                            border: none;
                            resize: none;
                            font-size: 16px;
                            background-color: transparent;
                            overflow-y: hidden;
                            outline: none;
                            line-height: 20px;
                            padding: 10px 12px;
                            height: 40px;
                            box-sizing: border-box;
                            color: white;
                            max-height: 200px;
                            overflow-y: auto;


                            &::-webkit-scrollbar {
                                width: 5px;
                            }

                            &::-webkit-scrollbar-track {
                                background: transparent;
                            }

                            &::-webkit-scrollbar-thumb {
                                background: #d3d3d37a;
                                filter: opacity(0.5);
                                border-radius: 10px;
                            }

                            &::-webkit-scrollbar-thumb:hover {
                                background: #969696;
                            }

                            &:focus {
                                outline: none;
                            }
                        }

                        button {
                            height: 35px;
                            width: 35px;
                            border: none;
                            border-radius: 999em;
                            cursor: pointer;
                            display: flex;
                            align-items: center;
                            justify-content: center;
                            background-color: #383838;
                            margin: auto 5px;

                            &:hover {
                                filter: brightness(0.8);
                            }

                            &:active {
                                background-color: white;
                                transition: .1s;

                                img {
                                    filter: invert(0);
                                }
                            }

                            img {
                                height: 60%;
                                filter: invert(1);
                                padding-left: 5px;
                            }
                        }
                    }
                }
            }

            &#sobre {
                display: flex;
                flex-direction: column;
                max-height: 85vh;

                picture {
                    display: flex;
                    flex-wrap: wrap;
                    align-content: center;
                    width: 100%;
                    height: 150px;
                    box-shadow: 0px 1px 3px rgb(0 0 0 / 75%);
                    border-radius: 10px;
                    overflow: hidden;
                    flex: 1;

                    img {
                        object-fit: contain;
                        width: 100%;
                    }
                }

                div {
                    height: fit-content;
                    padding-bottom: 25%;
                }
            }

            &#sites {
                display: flex;
                flex-direction: column;
                align-items: center;
                justify-content: space-evenly;
                padding: 20px;
                gap: 20px;
                background: #383838;
                background: linear-gradient(310deg, rgba(56, 56, 56, 1) 0%, rgba(39, 43, 41, 1) 30%, rgba(0, 0, 0, 1) 100%);
                color: white;
                width: 100vw;

                h2 {
                    margin: 0;
                }

                div {
                    display: flex;
                    justify-content: space-between;
                    max-width: 1200px;
                    padding: 0 20px;

                    article {
                        width: 50%;
                        text-align: justify;

                        @media (max-width: 768px) {
                            width: 100%;
                        }
                    }

                    picture {
                        display: flex;
                        align-items: center;
                        width: 40%;

                        @media (max-width: 768px) {
                            width: 100%;
                        }

                        a {
                            img {
                                width: 95%;
                                border-radius: 5px;
                                box-shadow: 0px 1px 5px rgb(0 0 0 / 55%);
                                cursor: pointer;

                                &:hover {
                                    transform: translateY(-2px);
                                    transition: .3s;
                                }

                                @media (max-width: 768px) {
                                    width: 100%;
                                }
                            }
                        }
                    }
                }
            }

            &#contato {
                width: 100%;
                display: flex;
                flex-direction: column;
                align-items: center;
                justify-content: center;

                h2 {
                    margin: 0;
                }

                ul {
                    display: flex;
                    flex-direction: row;
                    flex-wrap: wrap;
                    justify-content: center;
                    list-style: none;
                    color: white;
                    width: 100%;
                    margin: 0;
                    padding: 0;
                    gap: 15px;
                    text-align: center;

                    li {
                        display: flex;
                        flex-direction: row !important;
                        width: 40%;
                        border: #383838 1px solid;
                        background-color: #383838;
                        height: 200px;
                        box-shadow: 0px 1px 3px rgb(0 0 0 / 55%);
                        border-radius: 10px;

                        background: linear-gradient(310deg, rgba(56, 56, 56, 1) 0%, rgba(39, 43, 41, 1) 30%, rgba(0, 0, 0, 1) 100%);

                        background-attachment: fixed;
                        background-size: 200% 100%;



                        &:hover {
                            box-shadow: 0px 1px 15px rgb(0 0 0 / 85%);
                            transition: .5s;
                            transform: translateY(-2px)
                        }

                        @media (max-width: 768px) {
                            width: 100%;
                        }

                        img {
                            padding: 5%;
                            width: 30%;
                            filter: invert(1) brightness(0.5);
                        }

                        div {
                            display: flex;
                            flex-direction: column;
                            align-items: center;
                            justify-content: center;
                            flex: 1;
                            gap: 15px;
                            padding: 0 3%;

                            h3,
                            p,
                            span {
                                margin: 0;
                                color: white;
                            }
                        }
                    }

                }
            }
        }
    }

    footer {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        height: 20vh;
        background: #383838;
        background: linear-gradient(310deg, rgba(56, 56, 56, 1) 0%, rgba(39, 43, 41, 1) 30%, rgba(0, 0, 0, 1) 100%);
        color: white;
        width: 100vw;

        h4,
        p {
            margin: 0;
        }
    }
}